Page MenuHomePhabricator

"puppet-compiler02" Jenkins slave is no more connected
Closed, ResolvedPublic

Description

puppet-compiler02 slave can't be connected from Jenkins.

Can't even ssh puppet-compiler02.puppet3-diffs.eqiad.wmflabs :-(

Event Timeline

hashar created this task.Jul 1 2015, 9:08 AM
hashar claimed this task.
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, Joe.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2015, 9:08 AM
hashar triaged this task as Unbreak Now! priority.Jul 1 2015, 9:08 AM
hashar set Security to None.

Console has a bunch of entries related to mounting NFS labstore. Seems the instance hasn't been recovered following the recent labs NFS crash.

Rebooted it through the wikitech console.

hashar added a comment.Jul 1 2015, 9:14 AM
labstore.svc.eqiad.wmnet: Temporary failure in name resolution

Seems /etc/resolv.conf needs to be adjusted to the new DNS server and DNS search. Then fix the puppet client certificate name.

hashar removed hashar as the assignee of this task.Jul 1 2015, 9:16 AM

I can't ssh to the instance so need some labs root to connect to it and fix the instance :-/

yuvipanda lowered the priority of this task from Unbreak Now! to Normal.Jul 2 2015, 7:03 PM

(Switching out of UBN!, nobody is working on it)

hashar closed this task as Resolved.Oct 6 2015, 11:37 AM